Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.reporters
Class TemplateableOutput.OutputScenario

    java.lang.Object
      org.jbehave.core.reporters.TemplateableOutput.OutputScenario

Enclosing class:
  TemplateableOutput

    public static class TemplateableOutput.OutputScenario

extends Object

Constructor Summary
`TemplateableOutput.OutputScenario()`

Method Summary
`void` | `addStep(TemplateableOutput.OutputStep outputStep)`
`List<Map<String,String>>` | `getExamples()`
`List<String>` | `getExamplesSteps()`
`ExamplesTable` | `getExamplesTable()`
`GivenStories` | `getGivenStories()`
`TemplateableOutput.OutputMeta` | `getMeta()`
`String` | `getNotAllowedBy()`
`List<TemplateableOutput.OutputStep>` | `getSteps()`
`List<TemplateableOutput.OutputStep>` | `getStepsByExample(Map<String,String> example)`
`String` | `getTitle()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateableOutput.OutputScenario

    public TemplateableOutput.OutputScenario()

Method Detail

### getTitle

    public String getTitle()

### addStep

    public void addStep(TemplateableOutput.OutputStep outputStep)

### getSteps

    public List<TemplateableOutput.OutputStep> getSteps()

### getStepsByExample

    public List<TemplateableOutput.OutputStep> getStepsByExample(Map<String,String> example)

### getMeta

    public TemplateableOutput.OutputMeta getMeta()

### getGivenStories

    public GivenStories getGivenStories()

### getNotAllowedBy

    public String getNotAllowedBy()

### getExamplesSteps

    public List<String> getExamplesSteps()

### getExamplesTable

    public ExamplesTable getExamplesTable()

### getExamples

    public List<Map<String,String>> getExamples()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.